Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061902 - Review Request: qepcad-B - Quantifier elimination tool
Summary: Review Request: qepcad-B - Quantifier elimination tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1061901
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 20:46 UTC by Jerry James
Modified: 2014-02-24 12:31 UTC (History)
2 users (show)

Fixed In Version: qepcad-B-1.69-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 12:31:34 UTC
michel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2014-02-05 20:46:01 UTC
Spec URL: http://jjames.fedorapeople.org/qepcad/qepcad-B.spec
SRPM URL: http://jjames.fedorapeople.org/qepcad/qepcad-B-1.69-1.fc21.src.rpm
Fedora Account System Username: jjames
Description: QEPCAD is an implementation of quantifier elimination by partial cylindrical algebraic decomposition due originally to Hoon Hong, and subsequently added on to by many others.  It is an interactive command-line program written in C/C++, and based on the SACLIB library.  This is QEPCAD B version 1.x, the "B" designating a substantial departure from the original QEPCAD and distinguishing it from any development of the original that may proceed in a different direction.

Comment 1 Michel Alexandre Salim 2014-02-13 15:06:19 UTC
Taking this review

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

qepcad and cad2d binaries do not function, referencing non-existent
files under /usr/share/qepcad/bin -- possibly some paths need to be
patched and qepcad.help needs to be packaged

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 694 files have unknown license. Detailed output
     of licensecheck in /home/michel/sources/fedora/to-
     review/1061902-qepcad-B/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
     Known not to work
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
     $ qepcad 
     Error HELPFRD: Could not open /usr/share/qepcad/bin/qepcad.help
     $ cad2d 
     Error HELPFRD: Could not open /usr/share/qepcad/bin/qepcad.help
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.




Rpmlint
-------
Checking: qepcad-B-1.69-1.fc20.x86_64.rpm
          qepcad-B-1.69-1.fc20.src.rpm
qepcad-B.x86_64: W: no-manual-page-for-binary qepcad
qepcad-B.x86_64: W: no-manual-page-for-binary cad2d
qepcad-B.x86_64: W: no-manual-page-for-binary ADJ2D_plot
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Requires
--------
qepcad-B (rpmlib, GLIBC filtered):
    Singular
    bash
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglut.so.3()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libreadline.so.6()(64bit)
    libsaclib.so.2()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
qepcad-B:
    qepcad-B
    qepcad-B(x86-64)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

qepcad and cad2d binaries do not function, referencing non-existent
files under /usr/share/qepcad/bin -- possibly some paths need to be
patched and qepcad.help needs to be packaged

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 694 files have unknown license. Detailed output
     of licensecheck in /home/michel/sources/fedora/to-
     review/1061902-qepcad-B/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
     Known not to work
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
     $ qepcad 
     Error HELPFRD: Could not open /usr/share/qepcad/bin/qepcad.help
     $ cad2d 
     Error HELPFRD: Could not open /usr/share/qepcad/bin/qepcad.help
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.




Rpmlint
-------
Checking: qepcad-B-1.69-1.fc20.x86_64.rpm
          qepcad-B-1.69-1.fc20.src.rpm
qepcad-B.x86_64: W: no-manual-page-for-binary qepcad
qepcad-B.x86_64: W: no-manual-page-for-binary cad2d
qepcad-B.x86_64: W: no-manual-page-for-binary ADJ2D_plot
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Requires
--------
qepcad-B (rpmlib, GLIBC filtered):
    Singular
    bash
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglut.so.3()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libreadline.so.6()(64bit)
    libsaclib.so.2()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
qepcad-B:
    qepcad-B
    qepcad-B(x86-64)



Source checksums
----------------
http://www.usna.edu/CS/~qepcad/INSTALL/qepcad-B.1.69.tar.gz :
  CHECKSUM(SHA256) this package     : 5a04a407cc62b2ac8f34824d21bb9558a22ed9c0170be14c86023d0f31eec099
  CHECKSUM(SHA256) upstream package : 5a04a407cc62b2ac8f34824d21bb9558a22ed9c0170be14c86023d0f31eec099


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1061902
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Source checksums
----------------
http://www.usna.edu/CS/~qepcad/INSTALL/qepcad-B.1.69.tar.gz :
  CHECKSUM(SHA256) this package     : 5a04a407cc62b2ac8f34824d21bb9558a22ed9c0170be14c86023d0f31eec099
  CHECKSUM(SHA256) upstream package : 5a04a407cc62b2ac8f34824d21bb9558a22ed9c0170be14c86023d0f31eec099


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1061902
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jerry James 2014-02-13 18:48:46 UTC
Oops.  Fixed the issue with qepcad.help not being packaged.  New URLs:

Spec URL: http://jjames.fedorapeople.org/qepcad/qepcad-B.spec
SRPM URL: http://jjames.fedorapeople.org/qepcad/qepcad-B-1.69-2.fc21.src.rpm

Comment 3 Michel Alexandre Salim 2014-02-14 05:04:09 UTC
They now work, but I get the following notice when running both binaries:

Enter an informal description  between '[' and ']':
/usr/bin/Singular: line 3: module: command not found

seems to be a bug in the Singular package, that specific line says "module load surf-geometry-x86_64" but if that's the intended usage, the package does not ship a "module" binary. Might want to file a bug against that package; I don't personally know much about Singular myself.

The package itself is fine, so this review is APPROVED

Comment 4 Jerry James 2014-02-14 16:20:46 UTC
(In reply to Michel Alexandre Salim from comment #3)
> They now work, but I get the following notice when running both binaries:
> 
> Enter an informal description  between '[' and ']':
> /usr/bin/Singular: line 3: module: command not found
> 
> seems to be a bug in the Singular package, that specific line says "module
> load surf-geometry-x86_64" but if that's the intended usage, the package
> does not ship a "module" binary. Might want to file a bug against that
> package; I don't personally know much about Singular myself.

Hmmm, that's odd.  I'm not seeing that message.  That suggests a missing Requires somewhere.  I will try to track this down.

> The package itself is fine, so this review is APPROVED

Thanks for the review!

Comment 5 Jerry James 2014-02-14 16:22:56 UTC
New Package SCM Request
=======================
Package Name: qepcad-B
Short Description: Quantifier elimination tool
Owners: jjames
Branches: f20
InitialCC:

Comment 6 Gwyn Ciesla 2014-02-14 18:08:52 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-02-14 20:07:38 UTC
qepcad-B-1.69-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qepcad-B-1.69-2.fc20

Comment 8 Fedora Update System 2014-02-15 20:03:02 UTC
qepcad-B-1.69-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-02-16 23:24:39 UTC
qepcad-B-1.69-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-02-24 12:31:34 UTC
qepcad-B-1.69-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.